Format an ISO 8601 duration
curl --request POST \
--url https://{deployment}/api/v1/iso8601/format \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"duration": "PT1H30M15S",
"formats": [
"hh:mm:ss",
"long"
]
}
'import requests
url = "https://{deployment}/api/v1/iso8601/format"
payload = {
"duration": "PT1H30M15S",
"formats": ["hh:mm:ss", "long"]
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({duration: 'PT1H30M15S', formats: ['hh:mm:ss', 'long']})
};
fetch('https://{deployment}/api/v1/iso8601/format', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"original": "PT1H30M15S",
"standard_time": "01:30:15",
"formats": {
"hh:mm:ss": "01:30:15",
"long": "1 hour 30 minutes 15 seconds"
},
"is_valid": true
}{
"status": "error",
"error": "<string>"
}ISO 8601
Format an ISO 8601 duration
Formats an ISO 8601 duration string (e.g. PT1H30M) into one or more human-readable formats. Pro license required.
POST
/
iso8601
/
format
Format an ISO 8601 duration
Authorizations
Your deployment's API key (MMK_API_KEY). Routes that accept OAuth2 also allow Authorization: Bearer <token>.
Body
application/json
Was this page helpful?
⌘I

